## debconf 1.5.83

=== debian/changelog ===
debconf (1.5.83) unstable; urgency=medium

  [ Ani Hay ]
  * Recompress debian-logo.png.

  [ Alexandre Detiste ]
  * debconf.py: Add typing information to ease apt-listchanges testing.
  * Rename debian/postinst to debian/debconf.postinst for debhelper 14/15
    compatibility.

  [ Colin Watson ]
  * Avoid Perl's unsafe "<>" operator (closes: #1041329).

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 Dec 2023 12:34:57 +0000
