## debconf 1.5.86ubuntu1trisquel1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>,
 Standards-Version: 4.0.0
