## debconf 1.5.87ubuntu1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
 Standards-Version: 4.0.0
@@ -32,7 +33,7 @@
 Depends:
  ${misc:Depends},
 Recommends:
- apt-utils,
+ apt (>= 2.9.11~) | apt-utils,
  debconf-i18n,
 Suggests:
  debconf-doc,
