=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
 Standards-Version: 4.0.0
